Skip to main content
GET
/
api
/
v1
/
subscription_history
/
count-by-status
Count subscriptions that changed to a specific status in a date range
curl --request GET \
  --url https://api.raul.ugps.io/api/v1/subscription_history/count-by-status \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "status_id": 123,
  "status_name": "<string>",
  "date_from": "<string>",
  "date_to": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

status_changed
number
required

Status ID to count (2 = Desactivado)

date_from
string
required

Start date (ISO 8601)

date_to
string
required

End date (ISO 8601)

client_id
string

Filter by client ID

Response

200 - application/json

Count of status changes

count
number
required

Number of status changes

status_id
number
required

Status ID

status_name
string
required

Status name

date_from
string
required

Start date of range

date_to
string
required

End date of range